> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Assistant



## OpenAPI

````yaml get /admin/assistants/{assistant_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/assistants/{assistant_id}:
    get:
      tags:
        - provider
        - admin
      summary: Fetch Assistant
      operationId: fetch_assistant_admin_assistants__assistant_id__get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: assistant_id
          in: path
          required: true
          schema:
            type: string
            title: Assistant Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AssistantDetail:
      properties:
        id:
          type: string
          title: Id
        firstName:
          type: string
          title: Firstname
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        assistantType:
          $ref: '#/components/schemas/AssistantType'
        customPrompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Customprompt
        modality:
          anyOf:
            - $ref: '#/components/schemas/AssistantModality'
            - type: 'null'
        beginSentenceTemplate:
          anyOf:
            - type: string
            - type: 'null'
          title: Beginsentencetemplate
        model:
          anyOf:
            - $ref: '#/components/schemas/LlmModelType'
            - type: 'null'
        tools:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tools
        timezone:
          type: string
          title: Timezone
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
        fallbackPhoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Fallbackphonenumber
        isArchived:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isarchived
        isDefault:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isdefault
        primaryLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Primarylocationid
        recurringEvents:
          items:
            $ref: '#/components/schemas/RecurringEventDetail'
          type: array
          title: Recurringevents
          default: []
      type: object
      required:
        - id
        - firstName
        - assistantType
        - timezone
      title: AssistantDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AssistantType:
      type: string
      enum:
        - SCHEDULER
        - BILLER
        - NOTE_TAKER
        - NOTE_UPLOADER
        - CALL_SUMMARIZER
        - FORM_ASSISTANT
        - INBOUND_CALL
        - CALL_REMINDER
        - CALL_FOLLOW_UP
        - CALL_LAB_TECHNICIAN
        - INBOUND_TEXT
      title: AssistantType
    AssistantModality:
      type: string
      enum:
        - VOICE
        - TEXT
      title: AssistantModality
    LlmModelType:
      type: string
      enum:
        - gemini-2.5-flash
        - claude-3-7-sonnet
        - claude-3-5-haiku
        - gpt-5.2
        - gpt-5-mini
        - gpt-5-nano
        - gpt-realtime
        - gpt-realtime-mini
        - gemini-2.5-flash
        - gemini-2.5-flash-preview-05-20
        - gemini-2.5-flash-lite
        - gemini-live
      title: LlmModelType
    RecurringEventDetail:
      properties:
        id:
          type: string
          title: Id
        rrule:
          type: string
          title: Rrule
        startDate:
          type: string
          format: date-time
          title: Startdate
        durationMinutes:
          type: integer
          title: Durationminutes
        timezone:
          type: string
          title: Timezone
        serviceIds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Serviceids
        capacity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Capacity
        type:
          $ref: '#/components/schemas/EventType'
        title:
          type: string
          title: Title
        attendeeIds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Attendeeids
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
        organizerId:
          type: string
          title: Organizerid
      type: object
      required:
        - id
        - rrule
        - startDate
        - durationMinutes
        - timezone
        - type
        - title
        - organizerId
      title: RecurringEventDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EventType:
      type: string
      enum:
        - APPOINTMENT
        - SHIFT
        - BLOCK
      title: EventType

````